<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */

get_header();
?>

	<div id="content" class="narrowcolumn" role="main">

		<?php if (have_posts()) : ?>

 	  <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
 	  <?php /* If this is a category archive */ if (is_category()) { ?>
		<h2 class="pagetitle">بایگانی &#8216;<?php single_cat_title(); ?>&#8217; التصنيفات</h2>
 	  <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
		<h2 class="pagetitle">کلیدواژه &#8216;<?php single_tag_title(); ?>&#8217;</h2>
 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle">بایگانی <?php the_time('F jS, Y'); ?></h2>
 	  <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle">بایگانی <?php the_time('F, Y'); ?></h2>
 	  <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle">بایگانی <?php the_time('Y'); ?></h2>
	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle">آرشیو وبلاگ</h2>
 	  <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="pagetitle">بایگانی وبلاگ</h2>
 	  <?php } ?>


		<?php while (have_posts()) : the_post(); ?>
		<div <?php post_class() ?>>
            	<div class="post_date">
                    <span class="day"><?php the_time('d') ?></span><br />
                    <span class="month"><?php the_time('M') ?></span><br />
                    <span class="year"><?php the_time('Y') ?></span>
                </div>
                
                <div class="post_content">
                
                    <h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
					<div class="comm"><?php comments_popup_link('اضافه کردن نظر', '1 نظر', '% نظرات'); ?></div>
    
                    <div class="entry">
                        <?php the_content('تابع &raquo;'); ?>
                    </div>
                
                <p class="postmetadata"><?php the_tags('وسوم: ', ', ', '<br />'); ?> فرستاده شده در تاریخ <?php the_category(', ') ?> </p>
                <div class="read_more"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>">بیشتر</a></div>
                </div>

			</div>

		<?php endwhile; ?>

		<?php if(function_exists('wp_pagenavi')) {   ?>
        <div class="new_pagination">
		<?php wp_pagenavi(); ?>
        </div>
        <?php
		}
		else {
		?>
        
        <div class="navigation">
        <div class="alignleft"><?php next_posts_link('&laquo; قدیمی تر های بلاگ') ?></div>
        <div class="alignright"><?php previous_posts_link('آخرین مطالب وبلاگ &raquo;') ?></div>
        </div>
        
        <?php } ?>
        
	<?php else :

		if ( is_category() ) { // If this is a category archive
			printf("<h2 class='center'>متاسفانه هیچ نوشته های بلاگ ٪ در این رده ندارند ثانیه تا کنون.</h2>", single_cat_title('',false));
		} else if ( is_date() ) { // If this is a date archive
			echo("<h2>متأسفم ، مطلبی در وبلاگ از این تاریخ وجود ندارد.</h2>");
		} else if ( is_author() ) { // If this is a category archive
			$userdata = get_userdatabylogin(get_query_var('author_name'));
			printf("<h2 class='center'>متاسفانه هیچ وبلاگ مدخل ٪ ثانیه تا کنون وجود دارد.</h2>", $userdata->display_name);
		} else {
			echo("<h2 class='center'>بدون بلاگ</h2>");
		}
		get_search_form();

	endif;
?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
